Skip to main content
POST
https://api.dintero.com/v1
/
accounts
/
{aid}
/
management
/
settings
/
approvals
/
payout-destinations
New seller approval
curl --request POST \
  --url https://api.dintero.com/v1/accounts/{aid}/management/settings/approvals/payout-destinations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "payout_destination_id": "<string>",
  "payout_reference": "<string>",
  "bank_accounts": [
    {
      "bank_account_currency": "NOK",
      "payout_currency": "NOK",
      "bank_name": "<string>",
      "bank_account_number": "<string>",
      "bank_account_number_type": "IBAN",
      "bank_account_country_code": "<string>",
      "bank_identification_code": "DNBANOKKXXX"
    }
  ]
}
'
{
  "payout_destination_id": "<string>",
  "payout_reference": "<string>",
  "bank_accounts": [
    {
      "bank_account_currency": "NOK",
      "payout_currency": "NOK",
      "bank_name": "<string>",
      "bank_account_number": "<string>",
      "bank_account_number_type": "IBAN",
      "bank_account_country_code": "<string>",
      "bank_identification_code": "DNBANOKKXXX"
    }
  ],
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "created_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
  "updated_at": "2023-11-07T05:31:56Z",
  "deleted_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
  "deleted_at": "2023-11-07T05:31:56Z",
  "language": "en",
  "payout_destination_name": "<string>",
  "payout_destination_description": "<string>",
  "type": "company",
  "country_code": "<string>",
  "organization_number": "<string>",
  "individual": {
    "name": "<string>",
    "birth_date": "2023-12-25",
    "phone_number": "<string>",
    "email": "jsmith@example.com",
    "address_line": "Sommerkroveien 34",
    "address_line_2": "PB 123",
    "address_postal_code": "0349",
    "address_city": "Oslo",
    "address_country": "NO"
  },
  "payout_interval_type": "daily",
  "form_submitter": {
    "email": "jsmith@example.com",
    "name": "<string>",
    "title": "<string>"
  },
  "settlement_report_configuration": {
    "emails": [
      "jsmith@example.com"
    ]
  },
  "report_configuration": {
    "create_report_configuration": true,
    "email": "jsmith@example.com",
    "schedule": "daily",
    "reference": "<string>",
    "content_types": [
      "application/pdf"
    ]
  },
  "case_status": "ACTIVE",
  "links": [
    {
      "href": "<string>",
      "rel": "contract_url"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.dintero.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication (token authentication) should be used for accessing the API.

Use Get Token to get an access token for client credentials. Pass the token in the request header:

Authorization: Bearer {access_token}

where the access_token is JSON Web Tokens (JWT).

Path Parameters

aid
string<^[PT]{1}\d{8}$>
required

An id that uniquely identifies the account.

Required string length: 9

Body

application/json
payout_destination_id
string
required

ID of seller to create when the contract has been completed, signed, and approved.

Maximum string length: 40
payout_reference
string
required

A static reference that will be included on bank payments, the name of the service the payout-destination will be enrolled into. Eg. if yor platform is an "Uber for lawnmowers" called "Mowber" the payout_reference should be "Mowber".

Maximum string length: 60
bank_accounts
object[]
required

Bank account information about the seller. Currently the contract service only supports one bank_account per payout destination.

Required array length: 1 element
language
enum<string>

The language that will be used in emails, declaration form, signing page etc.

Available options:
en,
no
Maximum string length: 2
payout_destination_name
string

The name of the seller

Maximum string length: 60
payout_destination_description
string

Description of the seller

Maximum string length: 1000
type
enum<string>
  • For a company seller select company or leave blank. Required fields are organization_number and country_code.
  • For an individual seller select individual. Provide optional fields in the individual object.
Available options:
company,
individual
country_code
string<iso-3166-1>

Country code, must be a two letter ISO 3166-1-alpha-2 country code. Required if type is omitted or set to company.

Required string length: 2
organization_number
string

National organization number valid in the country specified. Required if type is omitted or set to company.

individual
object

Used only if type is individual.

payout_interval_type
enum<string>

The interval of the payout. The interval can be daily, weekly, monthly or manual.

Available options:
daily,
weekly,
monthly,
manual
form_submitter
object

The user that will submit the form. If the email is set the user will be notified about the form via email.

See Seller onboarding - Reminder emails for the reminder schedule.

settlement_report_configuration
object
report_configuration
object

Optional settings for automatically creating report configurations when the payout destination is created.

Response

Created ApprovalsPayoutDestinationResponse

payout_destination_id
string
required

ID of seller to create when the contract has been completed, signed, and approved.

Maximum string length: 40
payout_reference
string
required

A static reference that will be included on bank payments, the name of the service the payout-destination will be enrolled into. Eg. if yor platform is an "Uber for lawnmowers" called "Mowber" the payout_reference should be "Mowber".

Maximum string length: 60
bank_accounts
object[]
required

Bank account information about the seller. Currently the contract service only supports one bank_account per payout destination.

Required array length: 1 element
id
string<uuid>
read-only

An UUID that uniquely identifies the resource

created_at
string<date-time>
read-only

The date-time when the resource was created

created_by
string
read-only

The ID of the user/client created the resource

Example:

"1c92f7e1-2897-4d46-bdcc-c127a914fb4e"

updated_at
string<date-time>
read-only

The date-time when the resource was last updated

deleted_by
string
read-only

The ID of the user/client created the resource

Example:

"1c92f7e1-2897-4d46-bdcc-c127a914fb4e"

deleted_at
string<date-time>
read-only
language
enum<string>

The language that will be used in emails, declaration form, signing page etc.

Available options:
en,
no
Maximum string length: 2
payout_destination_name
string

The name of the seller

Maximum string length: 60
payout_destination_description
string

Description of the seller

Maximum string length: 1000
type
enum<string>
  • For a company seller select company or leave blank. Required fields are organization_number and country_code.
  • For an individual seller select individual. Provide optional fields in the individual object.
Available options:
company,
individual
country_code
string<iso-3166-1>

Country code, must be a two letter ISO 3166-1-alpha-2 country code. Required if type is omitted or set to company.

Required string length: 2
organization_number
string

National organization number valid in the country specified. Required if type is omitted or set to company.

individual
object

Used only if type is individual.

payout_interval_type
enum<string>

The interval of the payout. The interval can be daily, weekly, monthly or manual.

Available options:
daily,
weekly,
monthly,
manual
form_submitter
object

The user that will submit the form. If the email is set the user will be notified about the form via email.

See Seller onboarding - Reminder emails for the reminder schedule.

settlement_report_configuration
object
report_configuration
object

Optional settings for automatically creating report configurations when the payout destination is created.

case_status
enum<string>
Available options:
ACTIVE,
DECLINED,
UNDER_MANUAL_REVIEW,
AUTOMATIC_REVIEW,
WAITING_FOR_SIGNATURE,
WAITING_FOR_DECLARATION,
ERROR,
ARCHIVED,
WAITING_FOR_DETAILS,
TERMINATED
Last modified on May 8, 2026